OpenTTD

Private Member Functions | Private Attributes
LanguagePackGlyphSearcher Class Reference

Helper for searching through the language pack. More...

Inheritance diagram for LanguagePackGlyphSearcher:

## Private Member Functions
void | Reset ()
| Reset the search, i.e. More...
FontSize | DefaultSize ()
| Get the default (font) size of the string. More...
const char * | NextString ()
| Get the next string to search through. More...
bool | Monospace ()
| Whether to search for a monospace font or not. More...
void | SetFontNames (FreeTypeSettings *settings, const char *font_name)
| Set the right font names. More...

## Private Attributes
uint | i
| Iterator for the primary language tables.
uint | j
| Iterator for the secondary language tables.

## Additional Inherited Members
Public Member Functions inherited from MissingGlyphSearcher
virtual | ~MissingGlyphSearcher ()
| Make sure everything gets destructed right. More...
bool | FindMissingGlyphs (const char **str)
| Check whether there are glyphs missing in the current language. More...

## Detailed Description

Helper for searching through the language pack.

Definition at line 2031 of file strings.cpp.

## Member Function Documentation

## ◆ DefaultSize()

FontSize LanguagePackGlyphSearcher::DefaultSize | ( |  | ) |
| inline private virtual

Get the default (font) size of the string.

Returns
  The font size.

Implements MissingGlyphSearcher.

Definition at line 2041 of file strings.cpp.

References FS_NORMAL.

## ◆ Monospace()

bool LanguagePackGlyphSearcher::Monospace | ( |  | ) |
| inline private virtual

Whether to search for a monospace font or not.

Returns
  True if searching for monospace.

Implements MissingGlyphSearcher.

Definition at line 2061 of file strings.cpp.

## ◆ NextString()

const char* LanguagePackGlyphSearcher::NextString | ( |  | ) |
| inline private virtual

Get the next string to search through.

Returns
  The next string or NULL if there is none.

Implements MissingGlyphSearcher.

Definition at line 2046 of file strings.cpp.

References TEXT_TAB_END.

## ◆ Reset()

void LanguagePackGlyphSearcher::Reset | ( |  | ) |
| inline private virtual

Reset the search, i.e.

begin from the beginning again.

Implements MissingGlyphSearcher.

Definition at line 2035 of file strings.cpp.

## ◆ SetFontNames()

void LanguagePackGlyphSearcher::SetFontNames | ( | FreeTypeSettings * | settings,
|  | const char * | font_name
| ) |  |
| inline private virtual

Set the right font names.

Parameters

  settings | The settings to modify.
  font_name | The new font name.

Implements MissingGlyphSearcher.

Definition at line 2066 of file strings.cpp.

References FreeTypeSubSetting::font, FreeTypeSettings::large, lastof, FreeTypeSettings::medium, FreeTypeSettings::small, and strecpy().

The documentation for this class was generated from the following file:

- src/strings.cpp